package dev.peerat.mapping;

import dev.peerat.mapping.providers.Compass;
import dev.peerat.mapping.providers.Map;
import dev.peerat.mapping.providers.ProviderManager;

public class Ship{
	
	private String type;
	private Compass compass;
	private Map map;
	
	public Ship(String type, Compass compass,Map map){
		this.type = type;
		this.compass = compass;
		this.map = map;
	}
	
	public String getType(){
		return this.type;
	}
	
	public Compass getCompass(){
		return this.compass;
	}
	
	public Map getMap(){
		return this.map;
	}
	
	public void setSails() throws Exception{
		ProviderManager.getInstance().register(this);
	}
}
